constraints_SHAPE.h File Reference
Constraining the Secondary Structure Predictions and Evaluations » Incorporating SHAPE reactivity data

This module provides function to incorporate SHAPE reactivity data into the folding recursions by means of soft constraints. More...

Include dependency graph for constraints_SHAPE.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

int | vrna_sc_add_SHAPE_deigan (vrna_fold_compound_t *vc, const double *reactivities, double m, double b, unsigned int options)
| Add SHAPE reactivity data as soft constraints (Deigan et al. method) More...
int | vrna_sc_add_SHAPE_deigan_ali (vrna_fold_compound_t *vc, const char **shape_files, const int *shape_file_association, double m, double b, unsigned int options)
| Add SHAPE reactivity data from files as soft constraints for consensus structure prediction (Deigan et al. method) More...
int | vrna_sc_add_SHAPE_zarringhalam (vrna_fold_compound_t *vc, const double *reactivities, double b, double default_value, const char *shape_conversion, unsigned int options)
| Add SHAPE reactivity data as soft constraints (Zarringhalam et al. method) More...
int | vrna_sc_SHAPE_parse_method (const char *method_string, char *method, float *param_1, float *param_2)
| Parse a character string and extract the encoded SHAPE reactivity conversion method and possibly the parameters for conversion into pseudo free energies. More...
int | vrna_sc_SHAPE_to_pr (const char *shape_conversion, double *values, int length, double default_value)
| Convert SHAPE reactivity values to probabilities for being unpaired. More...

## Detailed Description

This module provides function to incorporate SHAPE reactivity data into the folding recursions by means of soft constraints.

## Function Documentation

int vrna_sc_SHAPE_parse_method | ( | const char * | method_string,
|  | char * | method,
|  | float * | param_1,
|  | float * | param_2
| ) |  |

Parse a character string and extract the encoded SHAPE reactivity conversion method and possibly the parameters for conversion into pseudo free energies.

Parameters

  method_string | The string that contains the encoded SHAPE reactivity conversion method
  method | A pointer to the memory location where the method character will be stored
  param_1 | A pointer to the memory location where the first parameter of the corresponding method will be stored
  param_2 | A pointer to the memory location where the second parameter of the corresponding method will be stored

Returns
  1 on successful extraction of the method, 0 on errors